Create Vehicle ProfileAsk AIpost https://developer-api.bringg.com/services/8jduq3HV/service_uuid1/service_uuid2Use to create a vehicle profile entity in Bringg.Body ParamstitlestringrequiredYour name for the vehicle profile. This is how the vehicle profile will appear in the Bringg UI. Minimum of two characters.vehicle_categorystringrequiredThe default options are "car" and "truck".external_idstringID of the vehicle profile in your system.can_attach_trailerbooleanA flag specifying whether or not vehicles with this profile can attach to trailers.truefalsecost_per_shiftfloatA relative cost allocated to vehicles using this profile that is used in some types of route optimization. Serves to reduce the number of vehicles used in a given optimization.default_for_merchantbooleanShould be set to true if new vehicles created should use this vehicle profile by default. Creating a vehicle profile and setting this flag to true will clear any previously selected default vehicle profile.truefalsedescriptionstringA free text description of the vehicle profile.encoderjsonThe type of vehicle (car, bicycle or truck) using this profile. Applicable only when using Bringg's basic traffic plan.handling_unitsjsonUsed to specify the maximum capacity in custom units for vehicles using this vehicle profile. For example, a maximum pallet count of 12 pallets.heightdoubleThe internal height capacity (cm) of a vehicle with this profile. Used when determining vehicle volume. If specified, must be > 0.is_greenbooleanSet to true if vehicles using this profile should be considered "Green" vehicles as they approach net zero carbon emissions.truetruefalseis_trailerbooleanA flag specifying whether or not vehicles with this profile are considered trailers.truefalselengthdoubleThe internal length capacity (cm) of the vehicle with this profile. Used when determining vehicle volume. If specified, must be > 0.loading_timedoubleThe standard length of time that you assign to the vehicle loading process prior to optimization. If specified, must be > 0.max_total_weightdoubleThe maximum weight capacity a vehicles with this profile can carry at a time. Unit agnostic, should be in the same unit as the inventory weight specified on orders. If specified, must be > 0.max_route_distance_kmfloatThe longest distance that a vehicle using this profile can serve on a single route, in kilometers. Used in route optimization. If specified, must be > 0.maximum_speedfloatThe maximum speed (miles or kilometers per hour) a vehicle with this profile can travel. Route optimization uses this field to predict timing.maximum_tasks_per_routedoubleThe maximum number of orders that a vehicle using this profile can transport at a time. If undefined, the optimization reverts to vehicle capacity. If specified, must be > 0.transport_time_minutesdoubleThe maximum duration (minutes) you set for a route to last for a vehicle using this profile.unloading_timedoubleThe standard length of time that you assign to the vehicle unloading process prior to optimization. If specified, must be > 0.vehicle_category_idjsonThe type of vehicle (car, bicycle, or type of truck) using this profile. Applicable only when using Bringg's advanced traffic integration.widthdoubleThe internal width capacity (cm) of a vehicle with this profile. Used when determining vehicle volume. If specified, must be > 0.Response 200200Updated 9 months ago